| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]

# Method lower_case()

Method lower_case

  `string lower_case(string s)`
  `int lower_case(int c)`

Description

  Convert a string or character to lower case.

Returns

  Returns a copy of the string s with all upper case characters converted to lower case, or the character c converted to lower case.

Note

  Assumes the string or character to be coded according to ISO-10646 (aka Unicode). If they are not, Locale.Charset.decoder can do the initial conversion for you.

Note

  Prior to Pike 7.5 this function only accepted strings.

See also

  upper_case() , Locale.Charset.decoder